<<#>>
Prev | 8.10.2. Distance Operators | Next

## Name

<<#>> — Returns the n-D distance between A and B bounding boxes.

## Synopsis

`double precision <<#>>(` geometry A , geometry B `)`;

## Description

The `<<#>>` operator returns distance between two floating point bounding boxes, possibly reading them from a spatial index (PostgreSQL 9.1+ required). Useful for doing nearest neighbor approximate distance ordering.

This operand will make use of any indexes that may be available on the geometries. It is different from other operators that use spatial indexes in that the spatial index is only used when the operator is in the ORDER BY clause.

Index only kicks in if one of the geometries is a constant e.g. ORDER BY (ST_GeomFromText('POINT(1 2)') <<#>> geom) instead of g1.geom <<#>>.

Availability: 2.2.0 -- KNN only available for PostgreSQL 9.1+

## See Also

<<->>, <#>

Prev | Up | Next
<<->> | Home | ST_3DIntersects